library angular2.src.web_workers.ui.xhr_impl;

import "package:angular2/di.dart" show Injectable;
import "package:angular2/src/web_workers/shared/serializer.dart" show PRIMITIVE;
import "package:angular2/src/web_workers/shared/messaging_api.dart"
    show XHR_CHANNEL;
import "package:angular2/src/render/xhr.dart" show XHR;
import "package:angular2/src/web_workers/shared/service_message_broker.dart"
    show ServiceMessageBrokerFactory;
import "bind.dart" show bind;

@Injectable()
class MessageBasedXHRImpl {
  XHR _xhr;
  MessageBasedXHRImpl(ServiceMessageBrokerFactory brokerFactory, this._xhr) {
    var broker = brokerFactory.createMessageBroker(XHR_CHANNEL);
    broker.registerMethod(
        "get", [PRIMITIVE], bind(this._xhr.get, this._xhr), PRIMITIVE);
  }
}
